#Settings

execute unless entity @a[scores={objective=1..}] run scoreboard players set @a objective 1
title @a[scores={objective=1}] actionbar ["",{"text":"Objective: ","color":"red"},{"text":"Escape your cell"}]
execute as @a at @s if block ~ ~-.1 ~ nether_gold_ore run scoreboard players set @a objective 2
effect give @a night_vision 100000 1 true
execute as @e[type=item,nbt=!{Item:{id:"minecraft:diamond_pickaxe"}},nbt=!{Item:{id:"minecraft:gold_ingot"}}] run data merge entity @s {Age:-32768,PickupDelay:1}
kill @e[type=item,nbt={Item:{id:"minecraft:iron_bars"}}]
kill @e[type=item,nbt={Item:{id:"minecraft:rotten_flesh"}}]
kill @e[type=item,nbt={Item:{id:"minecraft:jungle_button"}}]
kill @e[type=item,nbt={Item:{id:"minecraft:jungle_log"}}]
kill @e[type=item,nbt={Item:{id:"minecraft:cactus"}}]
kill @e[type=item,nbt={Item:{id:"minecraft:stick"}}]
kill @e[type=item,nbt={Item:{id:"minecraft:carrot"}}]
kill @e[type=item,nbt={Item:{id:"minecraft:potato"}}]
kill @e[type=item,nbt={Item:{id:"minecraft:iron_ingot"}}]
effect give @a[tag=!Ocean] saturation 10 1 true
kill @e[type=endermite,tag=!boss]
xp set @a 0
xp set @a 0 levels
difficulty easy
execute if entity @a[tag=!pumpkin,nbt={Inventory:[{id:"minecraft:carved_pumpkin"}]}] run tellraw @a ["",{"text":"Click "},{"text":"here","underlined":true,"color":"blue","clickEvent":{"action":"run_command","value":"/clear @a carved_pumpkin"}},{"text":" if you're done reading"}]
execute if entity @a[tag=!pumpkin,nbt={Inventory:[{id:"minecraft:carved_pumpkin"}]}] run tag @a add pumpkin
execute if entity @a[nbt=!{Inventory:[{id:"minecraft:carved_pumpkin"}]}] run tag @a remove pumpkin
execute at @a[gamemode=!spectator] if block ~ ~ ~ netherrack run tp @a 32.87 56.00 98.99 32.98 -17.45
recipe take @a yellow_dye_from_dandelion
recipe take @a minecraft:red_dye_from_poppy
recipe take @a minecraft:light_gray_dye_from_azure_bluet
recipe take @a minecraft:light_gray_dye_from_oxeye_daisy
recipe take @a minecraft:blue_dye_from_cornflower
recipe take @a minecraft:sandstone
execute unless entity @a[x=59,y=51,z=21,dx=15,dy=15,dz=15] run scoreboard players set @a objective 2
gamerule sendCommandFeedback false
kill @e[type=minecraft:experience_orb]

#Objective 1

execute if block 66 51 29 minecraft:lever[powered=true] run setblock 69 52 33 minecraft:stone_bricks
execute if block 70 52 30 minecraft:stone_button[powered=true] run setblock 65 56 25 minecraft:stone_bricks
execute if block 70 52 30 minecraft:stone_button[powered=true] run clone 66 49 25 66 49 25 66 51 25
execute if block 76 55 25 minecraft:birch_button[powered=true] unless entity @a[tag=cellButton] run playsound minecraft:entity.experience_orb.pickup master @a ~ ~ ~ 100000000
execute if block 76 55 25 minecraft:birch_button[powered=true] run tag @a add cellButton
execute if entity @a[tag=cellButton] run setblock 68 51 24 minecraft:lever[face=ceiling,powered=true]
execute if entity @a[tag=cellButton] run setblock 69 53 24 minecraft:infested_stone_bricks
execute if entity @a[tag=cellButton] run setblock 69 53 24 minecraft:stone_bricks
execute as @a at @s if block ~ ~-.1 ~ nether_gold_ore run title @a times 20 60 20
execute as @a at @s if block ~ ~-.1 ~ nether_gold_ore run scoreboard players set @a introTimer 1
execute as @a at @s if block ~ ~-.1 ~ nether_gold_ore run playsound minecraft:custom.elevator master @a ~ ~ ~ 1000000
execute as @a at @s if block ~ ~-.1 ~ nether_gold_ore run tp @s ~ ~7 ~
execute as @a[scores={introTimer=1..}] run scoreboard players add @s introTimer 1
execute if entity @a[scores={introTimer=2}] run clear @a
execute if entity @a[scores={introTimer=2}] run title @a title ["",{"text":"SimonDMCPlayer","color":"green"},{"text":" presents","color":"gray"}]
execute if entity @a[scores={introTimer=2}] run kill 9e20231e-b839-46b0-a2cc-0ff235428148
execute if entity @a[scores={introTimer=120}] run title @a title ["",{"text":"a sequel to ","color":"gray"},{"text":"Stuck in a Prison","color":"dark_gray"}]
execute if entity @a[scores={introTimer=241}] run title @a times 30 80 30
execute if entity @a[scores={introTimer=242}] run title @a title ["",{"text":"B ","color":"green"},{"text":"i ","color":"yellow"},{"text":"o "},{"text":"m ","color":"aqua"},{"text":"e \u0020 ","color":"red"},{"text":"B r e a k o u t","color":"dark_gray"}]
execute if entity @a[scores={introTimer=362}] run tp @a 64.66 63.20 65.67 90 0
execute if entity @a[scores={introTimer=362}] run tellraw @a ["",{"text":"Click "},{"text":"here","underlined":true,"color":"blue","clickEvent":{"action":"run_command","value":"/replaceitem entity @a[tag=!Ocean,tag=!bossFight] armor.head carved_pumpkin{display:{Name:'{\"text\":\"Texture pack magic\",\"italic\":false}'},Enchantments:[{id:\"minecraft:binding_curse\",lvl:1s}]} 1"}},{"text":" to find out how this map works (in game, not a link)"}]
execute if entity @a[scores={introTimer=382}] run setblock 64 61 65 minecraft:stone_bricks
execute unless entity @a[x=70,y=52,z=29,distance=..1] unless entity @a[tag=start] run tellraw @a ["",{"text":"<"},{"text":"Prisoner #0036","color":"gray"},{"text":"> Oh, you're awake? We need to get out as fast as possible. Hurry!"}]
execute unless entity @a[x=70,y=52,z=29,distance=..1] run tag @a add start

#Level config

execute at @a if block ~ ~-2 ~ granite run playsound minecraft:entity.enderman.teleport master @a ~ ~ ~ 1000000
execute at @a if block ~ ~-2 ~ granite run clear @a
particle minecraft:portal 53 53 58 .1 1.1 .1 0 10
particle minecraft:portal 66 53 58 .1 1.1 .1 0 10
particle minecraft:portal 78 53 58 .1 1.1 .1 0 10
particle minecraft:portal 78 53 72 .1 1.1 .1 0 10
particle minecraft:portal 66 53 72 .1 1.1 .1 0 10
particle minecraft:portal 53 53 72 .1 1.1 .1 0 10

#Jungle

execute at @a if block ~ ~-3 ~ coarse_dirt run fill 53 53 61 53 54 61 minecraft:barrier
execute at @a if block ~ ~-3 ~ coarse_dirt run give @a golden_axe{CanDestroy:["minecraft:cocoa"],Unbreakable:1b} 1
execute at @a if block ~ ~-3 ~ coarse_dirt run scoreboard players set @a jungle 1
execute at @a if block ~ ~-3 ~ coarse_dirt run tp @a 106.25 54.00 101.45 630.96 -3.06
execute if entity @a[scores={jungle=1..}] run scoreboard players add @a jungle 1
execute if entity @a[scores={jungle=2}] run title @a times 0 60 20
title @a[scores={jungle=5}] title {"text":"S"}
title @a[scores={jungle=10}] title {"text":"St"}
title @a[scores={jungle=15}] title {"text":"Sta"}
title @a[scores={jungle=20}] title {"text":"Stag"}
title @a[scores={jungle=25}] title {"text":"Stage"}
title @a[scores={jungle=30}] title {"text":"Stage "}
title @a[scores={jungle=35}] title {"text":"Stage 1"}
title @a[scores={jungle=40}] title {"text":"Stage 1:"}
title @a[scores={jungle=45}] title {"text":"Stage 1: "}
title @a[scores={jungle=60}] title {"text":"Stage 1: J"}
title @a[scores={jungle=65}] title {"text":"Stage 1: Ju"}
title @a[scores={jungle=70}] title {"text":"Stage 1: Jun"}
title @a[scores={jungle=75}] title {"text":"Stage 1: Jung"}
title @a[scores={jungle=80}] title {"text":"Stage 1: Jungl"}
title @a[scores={jungle=85}] title {"text":"Stage 1: Jungle"}
execute if entity @a[tag=!spokeOompa1,nbt={Inventory:[{id:"minecraft:cocoa_beans"},{Count:30b}]}] run tellraw @a {"text":"<Oompa Loompa> Psst.. Hand me those cocoa beans and I'll help you out of here."}
execute if entity @a[tag=!spokeOompa1,nbt={Inventory:[{id:"minecraft:cocoa_beans"},{Count:30b}]}] run tag @a add spokeOompa1
execute if entity @a[tag=!spokeOompa2,nbt={Inventory:[{id:"minecraft:diamond_hoe"}]}] run tellraw @a {"text":"<Oompa Loompa> Actually, would you mind clearing out the flowers too?"}
execute if entity @a[tag=!spokeOompa2,nbt={Inventory:[{id:"minecraft:diamond_hoe"}]}] run tag @a add spokeOompa2
execute if entity @a[tag=!spokeOompa3,nbt={Inventory:[{id:"minecraft:vine"}]}] run tellraw @a {"text":"<Oompa Loompa> Thanks! Now go ahead and find a way out. It's not that easy though.."}
execute if entity @a[tag=!spokeOompa3,nbt={Inventory:[{id:"minecraft:vine"}]}] run tag @a add spokeOompa3
execute if block 110 62 94 minecraft:jungle_button[powered=true] run summon armor_stand 110 62 94 {Invulnerable:1b,Invisible:1b,Tags:["jungleBreak"]}
execute at @e[tag=jungleBreak] if block ~ ~-.1 ~ jungle_log run setblock ~ ~-1 ~ air destroy
execute as @e[tag=jungleBreak] at @s if block ~ ~-.1 ~ dirt run kill @s
execute if entity @a[x=102,y=49,z=92,dx=8,dy=2,dz=4,nbt={Inventory:[{id:"minecraft:lever"}]}] at @a run playsound minecraft:entity.enderman.teleport master @a ~ ~ ~ 1000000
execute if entity @a[x=102,y=49,z=92,dx=8,dy=2,dz=4,nbt={Inventory:[{id:"minecraft:lever"}]}] run clear @a diamond_hoe
execute if entity @a[x=102,y=49,z=92,dx=8,dy=2,dz=4,nbt={Inventory:[{id:"minecraft:lever"}]}] run clear @a golden_axe
execute if entity @a[x=102,y=49,z=92,dx=8,dy=2,dz=4,nbt={Inventory:[{id:"minecraft:lever"}]}] as @a at @s run tp @s 51.52 53.00 65.61 ~ ~

#Desert

execute at @a if block ~ ~-3 ~ redstone_ore run fill 66 53 61 66 54 61 minecraft:barrier
execute at @a if block ~ ~-3 ~ redstone_ore run give @a golden_shovel{CanDestroy:["minecraft:sand"],Unbreakable:1b} 1
execute at @a if block ~ ~-3 ~ redstone_ore run scoreboard players set @a desert 1
execute at @a if block ~ ~-3 ~ redstone_ore run tp @a 76.30 59.00 99.55 7993.53 5.37
execute if entity @a[scores={desert=1..}] run scoreboard players add @a desert 1
execute if entity @a[scores={desert=2}] run title @a times 0 60 20
title @a[scores={desert=5}] title {"text":"S"}
title @a[scores={desert=10}] title {"text":"St"}
title @a[scores={desert=15}] title {"text":"Sta"}
title @a[scores={desert=20}] title {"text":"Stag"}
title @a[scores={desert=25}] title {"text":"Stage"}
title @a[scores={desert=30}] title {"text":"Stage "}
title @a[scores={desert=35}] title {"text":"Stage 2"}
title @a[scores={desert=40}] title {"text":"Stage 2:"}
title @a[scores={desert=45}] title {"text":"Stage 2: "}
title @a[scores={desert=60}] title {"text":"Stage 2: D"}
title @a[scores={desert=65}] title {"text":"Stage 2: De"}
title @a[scores={desert=70}] title {"text":"Stage 2: Des"}
title @a[scores={desert=75}] title {"text":"Stage 2: Dese"}
title @a[scores={desert=80}] title {"text":"Stage 2: Deser"}
title @a[scores={desert=85}] title {"text":"Stage 2: Desert"}
execute if block 67 59 93 minecraft:warped_button run tellraw @a {"text":"<SimonDMCPlayer> Are you trying to outsmart me? I expected better from you."}
execute if block 67 59 93 minecraft:warped_button run give @a warped_button{CanPlaceOn:["minecraft:sandstone"],display:{Name:'{"text":"Sand Button","italic":false}'}} 1
execute if block 67 59 93 minecraft:warped_button run setblock 67 59 93 air
execute if block 69 59 93 minecraft:warped_button run tellraw @a {"text":"<SimonDMCPlayer> Are you trying to outsmart me? I expected better from you."}
execute if block 69 59 93 minecraft:warped_button run give @a warped_button{CanPlaceOn:["minecraft:sandstone"],display:{Name:'{"text":"Sand Button","italic":false}'}} 1
execute if block 69 59 93 minecraft:warped_button run setblock 69 59 93 air
execute if block 68 59 92 minecraft:warped_button run tellraw @a {"text":"<SimonDMCPlayer> Are you trying to outsmart me? I expected better from you."}
execute if block 68 59 92 minecraft:warped_button run give @a warped_button{CanPlaceOn:["minecraft:sandstone"],display:{Name:'{"text":"Sand Button","italic":false}'}} 1
execute if block 68 59 92 minecraft:warped_button run setblock 68 59 92 air
execute if block 68 59 94 minecraft:warped_button run tellraw @a {"text":"<SimonDMCPlayer> Are you trying to outsmart me? I expected better from you."}
execute if block 68 59 94 minecraft:warped_button run give @a warped_button{CanPlaceOn:["minecraft:sandstone"],display:{Name:'{"text":"Sand Button","italic":false}'}} 1
execute if block 68 59 94 minecraft:warped_button run setblock 68 59 94 air
execute if block 68 58 93 minecraft:warped_button run tellraw @a {"text":"<SimonDMCPlayer> Are you trying to outsmart me? I expected better from you."}
execute if block 68 58 93 minecraft:warped_button run give @a warped_button{CanPlaceOn:["minecraft:sandstone"],display:{Name:'{"text":"Sand Button","italic":false}'}} 1
execute if block 68 58 93 minecraft:warped_button run setblock 68 58 93 air
execute if block 68 60 93 minecraft:warped_button[powered=true] run setblock 63 68 91 air
execute if block 68 60 93 minecraft:warped_button[powered=true] run fill 64 65 90 64 64 90 air
execute if block 61 65 86 minecraft:lever[powered=true] run particle minecraft:cloud 67 62 111.5 .1 .3 .1 0 1 force
execute if block 59 61 102 minecraft:acacia_button[powered=true] run fill 61 58 101 59 58 103 air
execute if block 63 60 102 minecraft:dark_oak_door run setblock 59 61 102 minecraft:acacia_button[facing=east]
execute if entity @a[x=55,y=56,z=101,dx=6,dy=2,dz=2,nbt={Inventory:[{id:"minecraft:lever"}]}] at @a run playsound minecraft:entity.enderman.teleport master @a ~ ~ ~ 1000000
execute if entity @a[x=55,y=56,z=101,dx=6,dy=2,dz=2,nbt={Inventory:[{id:"minecraft:lever"}]}] run clear @a sand
execute if entity @a[x=55,y=56,z=101,dx=6,dy=2,dz=2,nbt={Inventory:[{id:"minecraft:lever"}]}] run clear @a golden_shovel
execute if entity @a[x=55,y=56,z=101,dx=6,dy=2,dz=2,nbt={Inventory:[{id:"minecraft:lever"}]}] as @a at @s run tp @s 51.52 53.00 65.61 ~ ~
execute as @e[type=item,nbt={Item:{id:"minecraft:sand"}}] run data merge entity @s {Item:{id:"minecraft:sand",Count:1b,tag:{CanPlaceOn:["minecraft:sand"]}}}

#Cold

execute at @a if block ~ ~-3 ~ red_glazed_terracotta run fill 78 53 61 78 54 61 minecraft:barrier
execute at @a if block ~ ~-3 ~ red_glazed_terracotta run scoreboard players set @a cold 1
execute at @a if block ~ ~-3 ~ red_glazed_terracotta run tp @a 103.59 55.00 59.64 -160.66 1.61
execute if entity @a[scores={cold=1..}] run scoreboard players add @a cold 1
execute if entity @a[scores={cold=2}] run title @a times 0 60 20
title @a[scores={cold=5}] title {"text":"S"}
title @a[scores={cold=10}] title {"text":"St"}
title @a[scores={cold=15}] title {"text":"Sta"}
title @a[scores={cold=20}] title {"text":"Stag"}
title @a[scores={cold=25}] title {"text":"Stage"}
title @a[scores={cold=30}] title {"text":"Stage "}
title @a[scores={cold=35}] title {"text":"Stage 3"}
title @a[scores={cold=40}] title {"text":"Stage 3:"}
title @a[scores={cold=45}] title {"text":"Stage 3: "}
title @a[scores={cold=60}] title {"text":"Stage 3: C"}
title @a[scores={cold=65}] title {"text":"Stage 3: Co"}
title @a[scores={cold=70}] title {"text":"Stage 3: Col"}
title @a[scores={cold=75}] title {"text":"Stage 3: Cold"}
execute if block 112 58 48 minecraft:polished_blackstone_button[powered=true] run setblock 111 63 49 air destroy
execute if block 103 55 59 minecraft:light_weighted_pressure_plate[power=1] run setblock 102 57 38 air
execute if block 103 55 59 minecraft:light_weighted_pressure_plate[power=1] run setblock 102 57 38 warped_wall_sign[facing=east]{Text1:'{"text":"nice try","clickEvent":{"action":"run_command","value":"setblock ~ ~-2 ~ air destroy"}}',Text3:'{"text":":)"}'}
execute unless block 103 55 59 minecraft:light_weighted_pressure_plate[power=1] run setblock 102 57 38 air
execute unless block 103 55 59 minecraft:light_weighted_pressure_plate[power=1] run setblock 102 57 38 warped_wall_sign[facing=east]{Text1:'{"text":"nice try"}',Text3:'{"text":":/"}'} replace
setblock 102 57 39 minecraft:polished_blackstone
setblock 102 57 39 minecraft:blue_ice
execute if entity @a[x=94,y=52,z=36,dx=8,dy=2,dz=4,nbt={Inventory:[{id:"minecraft:lever"}]}] at @a run playsound minecraft:entity.enderman.teleport master @a ~ ~ ~ 1000000
execute if entity @a[x=94,y=52,z=36,dx=8,dy=2,dz=4,nbt={Inventory:[{id:"minecraft:lever"}]}] as @a at @s run tp @s 51.52 53.00 65.61 ~ ~

#Ocean

execute at @a if block ~ ~-3 ~ dead_brain_coral_block run fill 78 53 69 78 54 69 barrier
execute at @a if block ~ ~-3 ~ dead_brain_coral_block run scoreboard players set @a ocean 1
execute at @a if block ~ ~-3 ~ dead_brain_coral_block run tag @a add Ocean
execute at @a if block ~ ~-3 ~ dead_brain_coral_block run tp @a 30.45 54.00 47.39 2178.64 -1.77
execute if entity @a[scores={ocean=1..}] run scoreboard players add @a ocean 1
execute if entity @a[scores={ocean=2}] run title @a times 0 60 20
execute if entity @a[scores={ocean=3}] run effect give @a hunger 1000000 100 true
execute if entity @a[scores={food=17}] run effect clear @a hunger
execute if entity @a[tag=!Ocean] run effect clear @a hunger
title @a[scores={ocean=5}] title {"text":"S"}
title @a[scores={ocean=10}] title {"text":"St"}
title @a[scores={ocean=15}] title {"text":"Sta"}
title @a[scores={ocean=20}] title {"text":"Stag"}
title @a[scores={ocean=25}] title {"text":"Stage"}
title @a[scores={ocean=30}] title {"text":"Stage "}
title @a[scores={ocean=35}] title {"text":"Stage 4"}
title @a[scores={ocean=40}] title {"text":"Stage 4:"}
title @a[scores={ocean=45}] title {"text":"Stage 4: "}
title @a[scores={ocean=60}] title {"text":"Stage 4: O"}
title @a[scores={ocean=65}] title {"text":"Stage 4: Oc"}
title @a[scores={ocean=70}] title {"text":"Stage 4: Oce"}
title @a[scores={ocean=75}] title {"text":"Stage 4: Ocea"}
title @a[scores={ocean=80}] title {"text":"Stage 4: Ocean"}
effect give @a[tag=Ocean] dolphins_grace 10 1 true
spawnpoint @a[tag=Ocean] 78 53 71 0
execute if block 37 63 83 minecraft:lever[powered=true] run tag @a add Red
execute if block 36 69 46 minecraft:lever[powered=true] run tag @a add Yellow
execute if block 9 54 28 minecraft:lever[powered=true] run
execute if block 24 57 63 minecraft:spruce_pressure_plate[powered=true] run setblock 8 63 80 water
execute if block 24 57 63 minecraft:spruce_pressure_plate[powered=true] if entity @a[tag=Red] run setblock 38 57 46 water
execute if block 24 57 63 minecraft:spruce_pressure_plate[powered=true] if entity @a[tag=Yellow] run setblock 9 54 41 water
execute if entity @a[tag=Ocean,scores={deathCount=1..}] run tag @a remove Red
execute if entity @a[tag=Ocean,scores={deathCount=1..}] run tag @a remove Yellow
execute if entity @a[tag=Ocean,scores={deathCount=1..}] run tag @a remove Ocean
execute if entity @a[tag=Ocean,scores={deathCount=1..}] run setblock 37 63 83 minecraft:lever[facing=west]
execute if entity @a[tag=Ocean,scores={deathCount=1..}] run setblock 36 69 46 minecraft:lever[facing=east]
execute if entity @a[tag=Ocean,scores={deathCount=1..}] run setblock 9 54 28 minecraft:lever[facing=south]
execute if entity @a[tag=Ocean,scores={deathCount=1..}] run setblock 8 63 80 minecraft:red_concrete
execute if entity @a[tag=Ocean,scores={deathCount=1..}] run setblock 38 57 46 minecraft:yellow_concrete
execute if entity @a[tag=Ocean,scores={deathCount=1..}] run setblock 9 54 41 minecraft:lime_concrete
execute if entity @a[tag=Ocean,scores={deathCount=1..}] run setblock 24 57 63 minecraft:spruce_pressure_plate
execute if entity @a[tag=Ocean,scores={deathCount=1..}] run scoreboard players reset @a deathCount
setblock 36 63 83 air
setblock 37 69 46 air
setblock 9 54 29 air
execute if block 9 54 28 minecraft:lever[powered=true] if entity @a[tag=!chestClone] run clone 24 49 63 24 49 63 24 57 63
execute if block 9 54 28 minecraft:lever[powered=true] if entity @a[tag=!chestClone] run setblock 24 58 63 air
execute if block 9 54 28 minecraft:lever[powered=true] run tag @a add chestClone
execute if entity @a[x=21,y=54,z=60,dx=6,dy=6,dz=7,nbt={Inventory:[{id:"minecraft:lever"}]}] at @a run playsound minecraft:entity.enderman.teleport master @a ~ ~ ~ 1000000
execute if entity @a[x=21,y=54,z=60,dx=6,dy=6,dz=7,nbt={Inventory:[{id:"minecraft:lever"}]}] run tag @a remove Ocean
execute if entity @a[x=21,y=54,z=60,dx=6,dy=6,dz=7,nbt={Inventory:[{id:"minecraft:lever"}]}] as @a at @s run tp @s 51.52 53.00 65.61 ~ ~
execute if entity @a[tag=Ocean] run replaceitem entity @a armor.head glass{display:{Name:'{"text":"Broken Swimsuit","italic":false}'},HideFlags:3,Enchantments:[{id:"minecraft:binding_curse",lvl:1s}],AttributeModifiers:[{AttributeName:"generic.max_health",Name:"generic.max_health",Amount:-10,Operation:0,UUID:[I;1233104042,-639545721,-1136899203,1051147818],Slot:"head"}]} 1
execute if entity @a[tag=!Ocean] run clear @a glass
execute unless block 9 54 28 minecraft:lever run setblock 9 54 28 lever[facing=south]
execute unless block 36 69 46 minecraft:lever run setblock 36 69 46 minecraft:lever[facing=east]
execute unless block 37 63 83 minecraft:lever run setblock 37 63 83 lever[facing=west]
kill @e[x=9,y=54,z=28,distance=..2,type=item,nbt={Item:{id:"minecraft:lever"}}]
kill @e[x=36,y=69,z=46,distance=..2,type=item,nbt={Item:{id:"minecraft:lever"}}]
kill @e[x=37,y=63,z=83,distance=..2,type=item,nbt={Item:{id:"minecraft:lever"}}]

#Nether

execute at @a if block ~ ~-3 ~ crimson_hyphae run fill 66 53 69 66 54 69 barrier
execute at @a if block ~ ~-3 ~ crimson_hyphae run scoreboard players set @a nether 1
execute at @a if block ~ ~-3 ~ crimson_hyphae run tp @a 32.87 56.00 98.99 32.98 -17.45
execute if entity @a[scores={nether=1..}] run scoreboard players add @a nether 1
execute if entity @a[scores={nether=2}] run title @a times 0 60 20
title @a[scores={nether=5}] title {"text":"S"}
title @a[scores={nether=10}] title {"text":"St"}
title @a[scores={nether=15}] title {"text":"Sta"}
title @a[scores={nether=20}] title {"text":"Stag"}
title @a[scores={nether=25}] title {"text":"Stage"}
title @a[scores={nether=30}] title {"text":"Stage "}
title @a[scores={nether=35}] title {"text":"Stage 5"}
title @a[scores={nether=40}] title {"text":"Stage 5:"}
title @a[scores={nether=45}] title {"text":"Stage 5: "}
title @a[scores={nether=60}] title {"text":"Stage 5: N"}
title @a[scores={nether=65}] title {"text":"Stage 5: Ne"}
title @a[scores={nether=70}] title {"text":"Stage 5: Net"}
title @a[scores={nether=75}] title {"text":"Stage 5: Neth"}
title @a[scores={nether=80}] title {"text":"Stage 5: Nethe"}
title @a[scores={nether=85}] title {"text":"Stage 5: Nether"}
effect give @a[tag=Ocean] fire_resistance 1000000 1 true
execute if block 31 52 113 minecraft:stone_button[powered=true] run summon piglin 19 67 110 {Invulnerable:1b,IsImmuneToZombification:1b}
execute if block 31 52 113 minecraft:stone_button[powered=true] run summon piglin 19 67 110 {Invulnerable:1b,IsImmuneToZombification:1b}
execute if block 31 52 113 minecraft:stone_button[powered=true] run summon piglin 19 67 110 {Invulnerable:1b,IsImmuneToZombification:1b}
execute if block 31 52 113 minecraft:stone_button[powered=true] at @a run playsound minecraft:block.weeping_vines.place master @a
execute if block 31 52 113 minecraft:stone_button[powered=true] run setblock 20 65 103 minecraft:twisting_vines
execute if block 31 52 113 minecraft:stone_button[powered=true] run setblock 31 52 113 netherrack
execute if block 19 68 114 minecraft:lever[powered=true] if entity @a[tag=!lever] run summon minecraft:item 19 71 113 {Item:{id:"minecraft:gold_nugget",Count:1b}}
execute if block 19 68 114 minecraft:lever[powered=true] if entity @a[tag=!lever] run tag @a add lever
execute if block 19 68 114 minecraft:lever[powered=false] run tag @a remove lever
execute if entity @a[nbt={Inventory:[{id:"minecraft:netherite_pickaxe",tag:{Damage:1}}]}] at @a run playsound minecraft:item.shield.break master @a
execute if entity @a[nbt={Inventory:[{id:"minecraft:netherite_pickaxe",tag:{Damage:1}}]}] run clear @a netherite_pickaxe
execute at @a if block ~ ~ ~ minecraft:end_portal_frame run clear @a
execute at @a if block ~ ~ ~ minecraft:end_portal_frame run playsound minecraft:entity.enderman.teleport master @a ~ ~ ~ 1000000
execute at @a if block ~ ~ ~ minecraft:end_portal_frame run setblock 52 54 69 minecraft:lever[powered=true,facing=north]
execute at @a if block ~ ~ ~ minecraft:end_portal_frame run setblock 54 53 70 minecraft:birch_planks
execute at @a if block ~ ~ ~ minecraft:end_portal_frame run replaceitem entity @a hotbar.0 netherite_sword{Unbreakable:1b,Enchantments:[{id:"minecraft:sharpness",lvl:5s},{id:"minecraft:sweeping",lvl:3s}]} 1
execute at @a if block ~ ~ ~ minecraft:end_portal_frame run replaceitem entity @a hotbar.1 bow{Unbreakable:1b,Enchantments:[{id:"minecraft:power",lvl:5s},{id:"minecraft:punch",lvl:2s}]} 1
execute at @a if block ~ ~ ~ minecraft:end_portal_frame run replaceitem entity @a hotbar.2 splash_potion{Potion:"minecraft:strong_healing"} 1
execute at @a if block ~ ~ ~ minecraft:end_portal_frame run replaceitem entity @a hotbar.3 splash_potion{Potion:"minecraft:strong_healing"} 1
execute at @a if block ~ ~ ~ minecraft:end_portal_frame run replaceitem entity @a hotbar.4 splash_potion{Potion:"minecraft:strong_healing"} 1
execute at @a if block ~ ~ ~ minecraft:end_portal_frame run replaceitem entity @a hotbar.5 splash_potion{Potion:"minecraft:strong_healing"} 1
execute at @a if block ~ ~ ~ minecraft:end_portal_frame run replaceitem entity @a hotbar.6 splash_potion{Potion:"minecraft:strong_healing"} 1
execute at @a if block ~ ~ ~ minecraft:end_portal_frame run replaceitem entity @a hotbar.7 splash_potion{Potion:"minecraft:strong_healing"} 1
execute at @a if block ~ ~ ~ minecraft:end_portal_frame run replaceitem entity @a weapon.offhand shield{Enchantments:[{id:"minecraft:unbreaking",lvl:2s}]}
execute at @a if block ~ ~ ~ minecraft:end_portal_frame run replaceitem entity @a hotbar.8 arrow
execute at @a if block ~ ~ ~ minecraft:end_portal_frame run replaceitem entity @a armor.head netherite_helmet{Unbreakable:1b,Enchantments:[{id:"minecraft:protection",lvl:4s}]}
execute at @a if block ~ ~ ~ minecraft:end_portal_frame run replaceitem entity @a armor.chest netherite_chestplate{Unbreakable:1b,Enchantments:[{id:"minecraft:protection",lvl:4s}]}
execute at @a if block ~ ~ ~ minecraft:end_portal_frame run replaceitem entity @a armor.legs netherite_leggings{Unbreakable:1b,Enchantments:[{id:"minecraft:protection",lvl:4s}]}
execute at @a if block ~ ~ ~ minecraft:end_portal_frame run replaceitem entity @a armor.feet netherite_boots{Unbreakable:1b,Enchantments:[{id:"minecraft:protection",lvl:4s}]}
execute at @a if block ~ ~ ~ minecraft:end_portal_frame run give @a splash_potion{Potion:"minecraft:strong_healing"} 9
execute at @a if block ~ ~ ~ minecraft:end_portal_frame run scoreboard players set @a end 1
execute at @a if block ~ ~ ~ minecraft:end_portal_frame run tp @a 51.08 54.00 123.51 1751.32 -2.65

#End

execute at @a if block ~ ~-2 ~ cobweb run tp @a 25 70 99
execute store result bossbar minecraft:boss value run data get entity @e[limit=1,type=minecraft:endermite] Health
bossbar set minecraft:boss players @a[tag=bossFight]
execute if entity @a[scores={end=1..}] run scoreboard players add @a end 1
execute if entity @a[scores={boss=1..}] run scoreboard players add @a boss 1
execute if entity @a[scores={end=2}] run title @a times 0 60 20
title @a[scores={end=5}] title {"text":"S"}
title @a[scores={end=10}] title {"text":"St"}
title @a[scores={end=15}] title {"text":"Sta"}
title @a[scores={end=20}] title {"text":"Stag"}
title @a[scores={end=25}] title {"text":"Stage"}
title @a[scores={end=30}] title {"text":"Stage "}
title @a[scores={end=35}] title {"text":"Stage 6"}
title @a[scores={end=40}] title {"text":"Stage 6:"}
title @a[scores={end=45}] title {"text":"Stage 6: "}
title @a[scores={end=70}] title {"text":"Stage 6: T"}
title @a[scores={end=80}] title {"text":"Stage 6: Th"}
title @a[scores={end=90}] title {"text":"Stage 6: The"}
title @a[scores={end=100}] title {"text":"Stage 6: The "}
title @a[scores={end=110}] title {"text":"Stage 6: The E"}
title @a[scores={end=120}] title {"text":"Stage 6: The En"}
title @a[scores={end=130}] title {"text":"Stage 6: The End"}
title @a[scores={end=140}] title {"text":"Stage 6: The End."}
title @a[scores={end=160}] title {"text":"Stage 6: The End.."}
title @a[scores={end=180}] title {"text":"Stage 6: The End..."}
title @a[scores={end=200}] title {"text":"Stage 6: The End...?"}
execute if entity @a[scores={end=250}] run summon endermite 61 69 132 {NoAI:1b,Silent:1b,Glowing:0b,CustomNameVisible:0b,Health:1000f,Lifetime:-100000,Tags:["boss"],CustomName:'{"text":"The Ender Monster","color":"dark_red","bold":true}',Attributes:[{Name:generic.max_health,Base:1000},{Name:generic.movement_speed,Base:0.35},{Name:generic.attack_damage,Base:60}]}
execute if entity @a[scores={end=250}] run tag @a add bossFight
execute if entity @a[scores={end=250}] run tellraw @a ["",{"text":"The Ender Monster","color":"dark_red"},{"text":": I see you have finally arrived."}]
execute if entity @a[scores={end=300}] run tellraw @a ["",{"text":"The Ender Monster","color":"dark_red"},{"text":": Hah, took you long enough."}]
execute if entity @a[scores={end=350}] run tellraw @a ["",{"text":"The Ender Monster","color":"dark_red"},{"text":": Are you sure you want to do this?"}]
execute if entity @a[scores={end=400}] run tellraw @a ["",{"text":"The Ender Monster","color":"dark_red"},{"text":": I'm going to transform into a huge, monstrous creature!"}]
execute if entity @a[scores={end=450}] run tellraw @a ["",{"text":"The Ender Monster","color":"dark_red"},{"text":": HERE IT GOES!"}]
execute if entity @a[scores={end=500}] run data merge entity @e[tag=boss,limit=1] {NoAI:0b,Silent:0b,Glowing:1b,CustomNameVisible:1b}
execute if entity @a[scores={end=500}] as @e[tag=boss] at @s run tp ~ ~-10 ~
execute if entity @a[scores={end=550}] run tellraw @a ["",{"text":"The Ender Monster","color":"dark_red"},{"text":": Oh, seriously? That's kind of underwhelming..."}]
execute if entity @a[scores={end=600}] run tellraw @a ["",{"text":"The Ender Monster","color":"dark_red"},{"text":": Whatever, I can work with this. Prepare for the battle of a century!"}]
execute if entity @a[scores={end=650}] run scoreboard players set @a boss 1
execute if entity @a[scores={end=650}] run scoreboard players set @a waves 1
execute if entity @a[tag=bossFight] unless entity @a[nbt={Inventory:[{id:"minecraft:arrow"}]}] unless entity @a[scores={arrowTimer=1..}] run scoreboard players set @a arrowTimer 1
execute at @a[tag=bossFight,scores={arrowTimer=40..}] if entity @e[tag=boss,distance=..3] run replaceitem entity @a hotbar.8 arrow
execute at @a[tag=bossFight,scores={arrowTimer=40..}] if entity @e[tag=boss,distance=..3] run scoreboard players reset @a arrowTimer
execute if entity @a[scores={arrowTimer=1..}] run scoreboard players add @a arrowTimer 1
execute if entity @a[scores={boss=400,waves=1}] run tellraw @a ["",{"text":"The Ender Monster","color":"dark_red"},{"text":": Guards! Get this player away from me!"}]
execute if entity @a[scores={boss=405,waves=1}] at @e[tag=boss] run summon zombie ~ ~ ~ {CustomNameVisible:1b,Health:100f,IsBaby:0b,Tags:["guard"],CustomName:'{"text":"Ender Guard","color":"dark_purple"}',HandItems:[{id:"minecraft:stick",Count:1b,tag:{Enchantments:[{id:"minecraft:knockback",lvl:10s}]}},{}],ArmorItems:[{id:"minecraft:leather_boots",Count:1b,tag:{display:{color:0},Unbreakable:1b}},{id:"minecraft:leather_leggings",Count:1b,tag:{display:{color:0},Unbreakable:1b}},{id:"minecraft:leather_chestplate",Count:1b,tag:{display:{color:0},Unbreakable:1b}},{id:"minecraft:player_head",Count:1b,tag:{Enchantments:[{id:"minecraft:thorns",lvl:3s}],SkullOwner:{Id:[I;899093516,-129810043,-1775847829,-1874518738],Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMTIwYmFmMmVkN2YyMzI2ODAzMTY1YWQ4MDFmYzA1NmQwMDIyNDNiZThjY2YyZDg3ZWEyNmI5Yzc2ZGMzZmE2ZSJ9fX0="}]}}}}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F],Attributes:[{Name:generic.max_health,Base:100},{Name:generic.knockback_resistance,Base:1},{Name:generic.attack_damage,Base:60},{Name:generic.attack_knockback,Base:3}]}
execute if entity @a[scores={boss=410,waves=1}] at @e[tag=boss] run summon zombie ~ ~ ~ {CustomNameVisible:1b,Health:100f,IsBaby:0b,Tags:["guard"],CustomName:'{"text":"Ender Guard","color":"dark_purple"}',HandItems:[{id:"minecraft:stick",Count:1b,tag:{Enchantments:[{id:"minecraft:knockback",lvl:10s}]}},{}],ArmorItems:[{id:"minecraft:leather_boots",Count:1b,tag:{display:{color:0},Unbreakable:1b}},{id:"minecraft:leather_leggings",Count:1b,tag:{display:{color:0},Unbreakable:1b}},{id:"minecraft:leather_chestplate",Count:1b,tag:{display:{color:0},Unbreakable:1b}},{id:"minecraft:player_head",Count:1b,tag:{Enchantments:[{id:"minecraft:thorns",lvl:3s}],SkullOwner:{Id:[I;899093516,-129810043,-1775847829,-1874518738],Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMTIwYmFmMmVkN2YyMzI2ODAzMTY1YWQ4MDFmYzA1NmQwMDIyNDNiZThjY2YyZDg3ZWEyNmI5Yzc2ZGMzZmE2ZSJ9fX0="}]}}}}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F],Attributes:[{Name:generic.max_health,Base:100},{Name:generic.knockback_resistance,Base:1},{Name:generic.attack_damage,Base:60},{Name:generic.attack_knockback,Base:3}]}
execute if entity @a[scores={boss=415,waves=1}] at @e[tag=boss] run summon zombie ~ ~ ~ {CustomNameVisible:1b,Health:100f,IsBaby:0b,Tags:["guard"],CustomName:'{"text":"Ender Guard","color":"dark_purple"}',HandItems:[{id:"minecraft:stick",Count:1b,tag:{Enchantments:[{id:"minecraft:knockback",lvl:10s}]}},{}],ArmorItems:[{id:"minecraft:leather_boots",Count:1b,tag:{display:{color:0},Unbreakable:1b}},{id:"minecraft:leather_leggings",Count:1b,tag:{display:{color:0},Unbreakable:1b}},{id:"minecraft:leather_chestplate",Count:1b,tag:{display:{color:0},Unbreakable:1b}},{id:"minecraft:player_head",Count:1b,tag:{Enchantments:[{id:"minecraft:thorns",lvl:3s}],SkullOwner:{Id:[I;899093516,-129810043,-1775847829,-1874518738],Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMTIwYmFmMmVkN2YyMzI2ODAzMTY1YWQ4MDFmYzA1NmQwMDIyNDNiZThjY2YyZDg3ZWEyNmI5Yzc2ZGMzZmE2ZSJ9fX0="}]}}}}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F],Attributes:[{Name:generic.max_health,Base:100},{Name:generic.knockback_resistance,Base:1},{Name:generic.attack_damage,Base:60},{Name:generic.attack_knockback,Base:3}]}
execute if entity @a[scores={boss=420,waves=1}] at @e[tag=boss] run summon zombie ~ ~ ~ {CustomNameVisible:1b,Health:100f,IsBaby:0b,Tags:["guard"],CustomName:'{"text":"Ender Guard","color":"dark_purple"}',HandItems:[{id:"minecraft:stick",Count:1b,tag:{Enchantments:[{id:"minecraft:knockback",lvl:10s}]}},{}],ArmorItems:[{id:"minecraft:leather_boots",Count:1b,tag:{display:{color:0},Unbreakable:1b}},{id:"minecraft:leather_leggings",Count:1b,tag:{display:{color:0},Unbreakable:1b}},{id:"minecraft:leather_chestplate",Count:1b,tag:{display:{color:0},Unbreakable:1b}},{id:"minecraft:player_head",Count:1b,tag:{Enchantments:[{id:"minecraft:thorns",lvl:3s}],SkullOwner:{Id:[I;899093516,-129810043,-1775847829,-1874518738],Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMTIwYmFmMmVkN2YyMzI2ODAzMTY1YWQ4MDFmYzA1NmQwMDIyNDNiZThjY2YyZDg3ZWEyNmI5Yzc2ZGMzZmE2ZSJ9fX0="}]}}}}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F],Attributes:[{Name:generic.max_health,Base:100},{Name:generic.knockback_resistance,Base:1},{Name:generic.attack_damage,Base:60},{Name:generic.attack_knockback,Base:3}]}
execute if entity @a[scores={boss=425,waves=1}] at @e[tag=boss] run summon zombie ~ ~ ~ {CustomNameVisible:1b,Health:100f,IsBaby:0b,Tags:["guard"],CustomName:'{"text":"Ender Guard","color":"dark_purple"}',HandItems:[{id:"minecraft:stick",Count:1b,tag:{Enchantments:[{id:"minecraft:knockback",lvl:10s}]}},{}],ArmorItems:[{id:"minecraft:leather_boots",Count:1b,tag:{display:{color:0},Unbreakable:1b}},{id:"minecraft:leather_leggings",Count:1b,tag:{display:{color:0},Unbreakable:1b}},{id:"minecraft:leather_chestplate",Count:1b,tag:{display:{color:0},Unbreakable:1b}},{id:"minecraft:player_head",Count:1b,tag:{Enchantments:[{id:"minecraft:thorns",lvl:3s}],SkullOwner:{Id:[I;899093516,-129810043,-1775847829,-1874518738],Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMTIwYmFmMmVkN2YyMzI2ODAzMTY1YWQ4MDFmYzA1NmQwMDIyNDNiZThjY2YyZDg3ZWEyNmI5Yzc2ZGMzZmE2ZSJ9fX0="}]}}}}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F],Attributes:[{Name:generic.max_health,Base:100},{Name:generic.knockback_resistance,Base:1},{Name:generic.attack_damage,Base:60},{Name:generic.attack_knockback,Base:3}]}
execute if entity @a[scores={boss=430,waves=1}] at @e[tag=boss] run summon zombie ~ ~ ~ {CustomNameVisible:1b,Health:100f,IsBaby:0b,Tags:["guard"],CustomName:'{"text":"Ender Guard","color":"dark_purple"}',HandItems:[{id:"minecraft:stick",Count:1b,tag:{Enchantments:[{id:"minecraft:knockback",lvl:10s}]}},{}],ArmorItems:[{id:"minecraft:leather_boots",Count:1b,tag:{display:{color:0},Unbreakable:1b}},{id:"minecraft:leather_leggings",Count:1b,tag:{display:{color:0},Unbreakable:1b}},{id:"minecraft:leather_chestplate",Count:1b,tag:{display:{color:0},Unbreakable:1b}},{id:"minecraft:player_head",Count:1b,tag:{Enchantments:[{id:"minecraft:thorns",lvl:3s}],SkullOwner:{Id:[I;899093516,-129810043,-1775847829,-1874518738],Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMTIwYmFmMmVkN2YyMzI2ODAzMTY1YWQ4MDFmYzA1NmQwMDIyNDNiZThjY2YyZDg3ZWEyNmI5Yzc2ZGMzZmE2ZSJ9fX0="}]}}}}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F],Attributes:[{Name:generic.max_health,Base:100},{Name:generic.knockback_resistance,Base:1},{Name:generic.attack_damage,Base:60},{Name:generic.attack_knockback,Base:3}]}
execute if entity @a[scores={boss=435,waves=1}] at @e[tag=boss] run summon zombie ~ ~ ~ {CustomNameVisible:1b,Health:100f,IsBaby:0b,Tags:["guard"],CustomName:'{"text":"Ender Guard","color":"dark_purple"}',HandItems:[{id:"minecraft:stick",Count:1b,tag:{Enchantments:[{id:"minecraft:knockback",lvl:10s}]}},{}],ArmorItems:[{id:"minecraft:leather_boots",Count:1b,tag:{display:{color:0},Unbreakable:1b}},{id:"minecraft:leather_leggings",Count:1b,tag:{display:{color:0},Unbreakable:1b}},{id:"minecraft:leather_chestplate",Count:1b,tag:{display:{color:0},Unbreakable:1b}},{id:"minecraft:player_head",Count:1b,tag:{Enchantments:[{id:"minecraft:thorns",lvl:3s}],SkullOwner:{Id:[I;899093516,-129810043,-1775847829,-1874518738],Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMTIwYmFmMmVkN2YyMzI2ODAzMTY1YWQ4MDFmYzA1NmQwMDIyNDNiZThjY2YyZDg3ZWEyNmI5Yzc2ZGMzZmE2ZSJ9fX0="}]}}}}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F],Attributes:[{Name:generic.max_health,Base:100},{Name:generic.knockback_resistance,Base:1},{Name:generic.attack_damage,Base:60},{Name:generic.attack_knockback,Base:3}]}
execute if entity @a[scores={boss=440,waves=1}] at @e[tag=boss] run summon zombie ~ ~ ~ {CustomNameVisible:1b,Health:100f,IsBaby:0b,Tags:["guard"],CustomName:'{"text":"Ender Guard","color":"dark_purple"}',HandItems:[{id:"minecraft:stick",Count:1b,tag:{Enchantments:[{id:"minecraft:knockback",lvl:10s}]}},{}],ArmorItems:[{id:"minecraft:leather_boots",Count:1b,tag:{display:{color:0},Unbreakable:1b}},{id:"minecraft:leather_leggings",Count:1b,tag:{display:{color:0},Unbreakable:1b}},{id:"minecraft:leather_chestplate",Count:1b,tag:{display:{color:0},Unbreakable:1b}},{id:"minecraft:player_head",Count:1b,tag:{Enchantments:[{id:"minecraft:thorns",lvl:3s}],SkullOwner:{Id:[I;899093516,-129810043,-1775847829,-1874518738],Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMTIwYmFmMmVkN2YyMzI2ODAzMTY1YWQ4MDFmYzA1NmQwMDIyNDNiZThjY2YyZDg3ZWEyNmI5Yzc2ZGMzZmE2ZSJ9fX0="}]}}}}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F],Attributes:[{Name:generic.max_health,Base:100},{Name:generic.knockback_resistance,Base:1},{Name:generic.attack_damage,Base:60},{Name:generic.attack_knockback,Base:3}]}
execute if entity @a[scores={boss=400,waves=2}] run tellraw @a ["",{"text":"The Ender Monster","color":"dark_red"},{"text":": Hah! How about some baby guards? It's an apocalypse!"}]
execute if entity @a[scores={boss=405,waves=2}] at @e[tag=boss] run summon zombie ~ ~ ~ {CustomNameVisible:1b,Health:100f,IsBaby:1b,Tags:["guard"],CustomName:'{"text":"Ender Guard","color":"dark_purple"}',HandItems:[{id:"minecraft:stick",Count:1b,tag:{Enchantments:[{id:"minecraft:knockback",lvl:10s}]}},{}],ArmorItems:[{id:"minecraft:leather_boots",Count:1b,tag:{display:{color:0},Unbreakable:1b}},{id:"minecraft:leather_leggings",Count:1b,tag:{display:{color:0},Unbreakable:1b}},{id:"minecraft:leather_chestplate",Count:1b,tag:{display:{color:0},Unbreakable:1b}},{id:"minecraft:player_head",Count:1b,tag:{Enchantments:[{id:"minecraft:thorns",lvl:3s}],SkullOwner:{Id:[I;899093516,-129810043,-1775847829,-1874518738],Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMTIwYmFmMmVkN2YyMzI2ODAzMTY1YWQ4MDFmYzA1NmQwMDIyNDNiZThjY2YyZDg3ZWEyNmI5Yzc2ZGMzZmE2ZSJ9fX0="}]}}}}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F],Attributes:[{Name:generic.max_health,Base:100},{Name:generic.knockback_resistance,Base:1},{Name:generic.attack_damage,Base:60},{Name:generic.attack_knockback,Base:3}]}
execute if entity @a[scores={boss=410,waves=2}] at @e[tag=boss] run summon zombie ~ ~ ~ {CustomNameVisible:1b,Health:100f,IsBaby:1b,Tags:["guard"],CustomName:'{"text":"Ender Guard","color":"dark_purple"}',HandItems:[{id:"minecraft:stick",Count:1b,tag:{Enchantments:[{id:"minecraft:knockback",lvl:10s}]}},{}],ArmorItems:[{id:"minecraft:leather_boots",Count:1b,tag:{display:{color:0},Unbreakable:1b}},{id:"minecraft:leather_leggings",Count:1b,tag:{display:{color:0},Unbreakable:1b}},{id:"minecraft:leather_chestplate",Count:1b,tag:{display:{color:0},Unbreakable:1b}},{id:"minecraft:player_head",Count:1b,tag:{Enchantments:[{id:"minecraft:thorns",lvl:3s}],SkullOwner:{Id:[I;899093516,-129810043,-1775847829,-1874518738],Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMTIwYmFmMmVkN2YyMzI2ODAzMTY1YWQ4MDFmYzA1NmQwMDIyNDNiZThjY2YyZDg3ZWEyNmI5Yzc2ZGMzZmE2ZSJ9fX0="}]}}}}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F],Attributes:[{Name:generic.max_health,Base:100},{Name:generic.knockback_resistance,Base:1},{Name:generic.attack_damage,Base:60},{Name:generic.attack_knockback,Base:3}]}
execute if entity @a[scores={boss=415,waves=2}] at @e[tag=boss] run summon zombie ~ ~ ~ {CustomNameVisible:1b,Health:100f,IsBaby:1b,Tags:["guard"],CustomName:'{"text":"Ender Guard","color":"dark_purple"}',HandItems:[{id:"minecraft:stick",Count:1b,tag:{Enchantments:[{id:"minecraft:knockback",lvl:10s}]}},{}],ArmorItems:[{id:"minecraft:leather_boots",Count:1b,tag:{display:{color:0},Unbreakable:1b}},{id:"minecraft:leather_leggings",Count:1b,tag:{display:{color:0},Unbreakable:1b}},{id:"minecraft:leather_chestplate",Count:1b,tag:{display:{color:0},Unbreakable:1b}},{id:"minecraft:player_head",Count:1b,tag:{Enchantments:[{id:"minecraft:thorns",lvl:3s}],SkullOwner:{Id:[I;899093516,-129810043,-1775847829,-1874518738],Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMTIwYmFmMmVkN2YyMzI2ODAzMTY1YWQ4MDFmYzA1NmQwMDIyNDNiZThjY2YyZDg3ZWEyNmI5Yzc2ZGMzZmE2ZSJ9fX0="}]}}}}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F],Attributes:[{Name:generic.max_health,Base:100},{Name:generic.knockback_resistance,Base:1},{Name:generic.attack_damage,Base:60},{Name:generic.attack_knockback,Base:3}]}
execute if entity @a[scores={boss=420,waves=2}] at @e[tag=boss] run summon zombie ~ ~ ~ {CustomNameVisible:1b,Health:100f,IsBaby:1b,Tags:["guard"],CustomName:'{"text":"Ender Guard","color":"dark_purple"}',HandItems:[{id:"minecraft:stick",Count:1b,tag:{Enchantments:[{id:"minecraft:knockback",lvl:10s}]}},{}],ArmorItems:[{id:"minecraft:leather_boots",Count:1b,tag:{display:{color:0},Unbreakable:1b}},{id:"minecraft:leather_leggings",Count:1b,tag:{display:{color:0},Unbreakable:1b}},{id:"minecraft:leather_chestplate",Count:1b,tag:{display:{color:0},Unbreakable:1b}},{id:"minecraft:player_head",Count:1b,tag:{Enchantments:[{id:"minecraft:thorns",lvl:3s}],SkullOwner:{Id:[I;899093516,-129810043,-1775847829,-1874518738],Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMTIwYmFmMmVkN2YyMzI2ODAzMTY1YWQ4MDFmYzA1NmQwMDIyNDNiZThjY2YyZDg3ZWEyNmI5Yzc2ZGMzZmE2ZSJ9fX0="}]}}}}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F],Attributes:[{Name:generic.max_health,Base:100},{Name:generic.knockback_resistance,Base:1},{Name:generic.attack_damage,Base:60},{Name:generic.attack_knockback,Base:3}]}
execute if entity @a[scores={boss=425,waves=2}] at @e[tag=boss] run summon zombie ~ ~ ~ {CustomNameVisible:1b,Health:100f,IsBaby:1b,Tags:["guard"],CustomName:'{"text":"Ender Guard","color":"dark_purple"}',HandItems:[{id:"minecraft:stick",Count:1b,tag:{Enchantments:[{id:"minecraft:knockback",lvl:10s}]}},{}],ArmorItems:[{id:"minecraft:leather_boots",Count:1b,tag:{display:{color:0},Unbreakable:1b}},{id:"minecraft:leather_leggings",Count:1b,tag:{display:{color:0},Unbreakable:1b}},{id:"minecraft:leather_chestplate",Count:1b,tag:{display:{color:0},Unbreakable:1b}},{id:"minecraft:player_head",Count:1b,tag:{Enchantments:[{id:"minecraft:thorns",lvl:3s}],SkullOwner:{Id:[I;899093516,-129810043,-1775847829,-1874518738],Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMTIwYmFmMmVkN2YyMzI2ODAzMTY1YWQ4MDFmYzA1NmQwMDIyNDNiZThjY2YyZDg3ZWEyNmI5Yzc2ZGMzZmE2ZSJ9fX0="}]}}}}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F],Attributes:[{Name:generic.max_health,Base:100},{Name:generic.knockback_resistance,Base:1},{Name:generic.attack_damage,Base:60},{Name:generic.attack_knockback,Base:3}]}
execute if entity @a[scores={boss=430,waves=2}] at @e[tag=boss] run summon zombie ~ ~ ~ {CustomNameVisible:1b,Health:100f,IsBaby:1b,Tags:["guard"],CustomName:'{"text":"Ender Guard","color":"dark_purple"}',HandItems:[{id:"minecraft:stick",Count:1b,tag:{Enchantments:[{id:"minecraft:knockback",lvl:10s}]}},{}],ArmorItems:[{id:"minecraft:leather_boots",Count:1b,tag:{display:{color:0},Unbreakable:1b}},{id:"minecraft:leather_leggings",Count:1b,tag:{display:{color:0},Unbreakable:1b}},{id:"minecraft:leather_chestplate",Count:1b,tag:{display:{color:0},Unbreakable:1b}},{id:"minecraft:player_head",Count:1b,tag:{Enchantments:[{id:"minecraft:thorns",lvl:3s}],SkullOwner:{Id:[I;899093516,-129810043,-1775847829,-1874518738],Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMTIwYmFmMmVkN2YyMzI2ODAzMTY1YWQ4MDFmYzA1NmQwMDIyNDNiZThjY2YyZDg3ZWEyNmI5Yzc2ZGMzZmE2ZSJ9fX0="}]}}}}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F],Attributes:[{Name:generic.max_health,Base:100},{Name:generic.knockback_resistance,Base:1},{Name:generic.attack_damage,Base:60},{Name:generic.attack_knockback,Base:3}]}
execute if entity @a[scores={boss=435,waves=2}] at @e[tag=boss] run summon zombie ~ ~ ~ {CustomNameVisible:1b,Health:100f,IsBaby:1b,Tags:["guard"],CustomName:'{"text":"Ender Guard","color":"dark_purple"}',HandItems:[{id:"minecraft:stick",Count:1b,tag:{Enchantments:[{id:"minecraft:knockback",lvl:10s}]}},{}],ArmorItems:[{id:"minecraft:leather_boots",Count:1b,tag:{display:{color:0},Unbreakable:1b}},{id:"minecraft:leather_leggings",Count:1b,tag:{display:{color:0},Unbreakable:1b}},{id:"minecraft:leather_chestplate",Count:1b,tag:{display:{color:0},Unbreakable:1b}},{id:"minecraft:player_head",Count:1b,tag:{Enchantments:[{id:"minecraft:thorns",lvl:3s}],SkullOwner:{Id:[I;899093516,-129810043,-1775847829,-1874518738],Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMTIwYmFmMmVkN2YyMzI2ODAzMTY1YWQ4MDFmYzA1NmQwMDIyNDNiZThjY2YyZDg3ZWEyNmI5Yzc2ZGMzZmE2ZSJ9fX0="}]}}}}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F],Attributes:[{Name:generic.max_health,Base:100},{Name:generic.knockback_resistance,Base:1},{Name:generic.attack_damage,Base:60},{Name:generic.attack_knockback,Base:3}]}
execute if entity @a[scores={boss=440,waves=2}] at @e[tag=boss] run summon zombie ~ ~ ~ {CustomNameVisible:1b,Health:100f,IsBaby:1b,Tags:["guard"],CustomName:'{"text":"Ender Guard","color":"dark_purple"}',HandItems:[{id:"minecraft:stick",Count:1b,tag:{Enchantments:[{id:"minecraft:knockback",lvl:10s}]}},{}],ArmorItems:[{id:"minecraft:leather_boots",Count:1b,tag:{display:{color:0},Unbreakable:1b}},{id:"minecraft:leather_leggings",Count:1b,tag:{display:{color:0},Unbreakable:1b}},{id:"minecraft:leather_chestplate",Count:1b,tag:{display:{color:0},Unbreakable:1b}},{id:"minecraft:player_head",Count:1b,tag:{Enchantments:[{id:"minecraft:thorns",lvl:3s}],SkullOwner:{Id:[I;899093516,-129810043,-1775847829,-1874518738],Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMTIwYmFmMmVkN2YyMzI2ODAzMTY1YWQ4MDFmYzA1NmQwMDIyNDNiZThjY2YyZDg3ZWEyNmI5Yzc2ZGMzZmE2ZSJ9fX0="}]}}}}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F],Attributes:[{Name:generic.max_health,Base:100},{Name:generic.knockback_resistance,Base:1},{Name:generic.attack_damage,Base:60},{Name:generic.attack_knockback,Base:3}]}
execute if entity @a[scores={boss=440}] run tag @a add guards
execute if entity @a[tag=guards] unless entity @e[tag=guard] run tellraw @a ["",{"text":"The Ender Monster","color":"dark_red"},{"text":": Gah! My guards are completely useless!"}]
execute if entity @a[tag=guards] unless entity @e[tag=guard] run tag @a remove guards
execute if entity @a[scores={boss=400,waves=3..}] if entity @e[tag=guard] run tellraw @a ["",{"text":"The Ender Monster","color":"dark_red"},{"text":": I have enough guards for now, I don't even need any more!"}]
execute if entity @a[scores={boss=401,waves=3..}] unless entity @e[tag=guard] run tellraw @a ["",{"text":"The Ender Monster","color":"dark_red"},{"text":": Revive my guards! REVIVE!!"}]
execute if entity @a[scores={boss=401,waves=3..}] unless entity @e[tag=guard] run scoreboard players set @a waves 1
execute if entity @a[scores={boss=600}] run tellraw @a ["",{"text":"The Ender Monster","color":"dark_red"},{"text":": How about some lightning bolts?! I am enjoying this!"}]
execute if entity @a[scores={boss=610}] at @a[tag=bossFight] run summon minecraft:lightning_bolt ~ ~ ~
execute if entity @a[scores={boss=620}] at @a[tag=bossFight] run summon minecraft:lightning_bolt ~ ~ ~
execute if entity @a[scores={boss=630}] at @a[tag=bossFight] run summon minecraft:lightning_bolt ~ ~ ~
execute if entity @a[scores={boss=640}] at @a[tag=bossFight] run summon minecraft:lightning_bolt ~ ~ ~
execute if entity @a[scores={boss=650}] at @a[tag=bossFight] run summon minecraft:lightning_bolt ~ ~ ~
execute if entity @a[scores={boss=660}] at @a[tag=bossFight] run summon minecraft:lightning_bolt ~ ~ ~
execute if entity @a[scores={boss=670}] at @a[tag=bossFight] run summon minecraft:lightning_bolt ~ ~ ~
execute if entity @a[scores={boss=680}] at @a[tag=bossFight] run summon minecraft:lightning_bolt ~ ~ ~
execute if entity @a[scores={boss=690}] at @a[tag=bossFight] run summon minecraft:lightning_bolt ~ ~ ~
execute if entity @a[scores={boss=700}] at @a[tag=bossFight] run summon minecraft:lightning_bolt ~ ~ ~
execute if entity @a[scores={boss=710}] at @a[tag=bossFight] run summon minecraft:lightning_bolt ~ ~ ~
execute if entity @a[scores={boss=720}] at @a[tag=bossFight] run summon minecraft:lightning_bolt ~ ~ ~
execute if entity @a[scores={boss=900..}] run scoreboard players add @a waves 1
execute if entity @a[scores={boss=900..}] run scoreboard players set @a boss 1
execute unless entity @e[tag=boss] run scoreboard players reset @a boss
execute if entity @a[tag=bossFight,x=53,y=53,z=67,distance=..1] if entity @e[tag=boss] run tellraw @a ["",{"text":"The Ender Monster","color":"dark_red"},{"text":": You got DESTROYED by an endermite! LOL!!"}]
execute if entity @a[tag=bossFight,x=53,y=53,z=67,distance=..1] if entity @e[tag=boss] run clear @a
execute if entity @a[tag=bossFight,x=53,y=53,z=67,distance=..1] if entity @e[tag=boss] run tag @a remove guards
execute if entity @a[tag=bossFight,x=53,y=53,z=67,distance=..1] if entity @e[tag=boss] run kill @e[tag=guard]
execute if entity @a[tag=bossFight,x=53,y=53,z=67,distance=..1] if entity @e[tag=boss] run tag @a remove bossFight
execute if entity @a[x=53,y=53,z=67,distance=..1] run kill @e[tag=boss]

#Win

execute if entity @a[tag=bossFight,x=48,y=54,z=119,dx=27,dy=4,dz=26] unless entity @e[tag=boss] run tellraw @a ["",{"text":"The Ender Monster","color":"dark_red"},{"text":": Good game. You did it, now go and enjoy your victory :I"}]
execute if entity @a[tag=bossFight,x=48,y=54,z=119,dx=27,dy=4,dz=26] unless entity @e[tag=boss] at @a run playsound minecraft:entity.player.levelup master @a
execute if entity @a[tag=bossFight,x=48,y=54,z=119,dx=27,dy=4,dz=26] unless entity @e[tag=boss] at @a run clear @a
execute if entity @a[tag=bossFight,x=48,y=54,z=119,dx=27,dy=4,dz=26] unless entity @e[tag=boss] run tag @a remove guards
execute if entity @a[tag=bossFight,x=48,y=54,z=119,dx=27,dy=4,dz=26] unless entity @e[tag=boss] run summon item 97 56 137 {Age:-32768,PickupDelay:1,Item:{id:"minecraft:golden_pickaxe",Count:1b,tag:{CanDestroy:["minecraft:iron_bars"],display:{Name:'{"text":"Crowbar","italic":false}'},HideFlags:1,Unbreakable:1b,Enchantments:[{id:"minecraft:efficiency",lvl:5s}]}}}
execute if entity @a[tag=bossFight,x=48,y=54,z=119,dx=27,dy=4,dz=26] unless entity @e[tag=boss] run kill @e[tag=guard]
execute if entity @a[tag=bossFight,x=48,y=54,z=119,dx=27,dy=4,dz=26] unless entity @e[tag=boss] run scoreboard players set @a waves 1000
execute if entity @a[tag=bossFight,x=48,y=54,z=119,dx=27,dy=4,dz=26] unless entity @e[tag=boss] run tag @a remove bossFight
execute if entity @a[scores={waves=1000..}] run scoreboard players add @a waves 1
execute if entity @a[scores={waves=1100}] run tp @a 92.54 54.00 142.32 225.97 -6.08
execute if entity @a[scores={waves=1100}] run summon area_effect_cloud 95 57 139 {CustomNameVisible:1b,Duration:1000000,CustomName:'{"text":"Congratulations! You escaped!"}'}
execute if entity @a[scores={waves=1100}] run title @a title {"text":"Biome Breakout","color":"dark_gray"}
execute if entity @a[scores={waves=1100}] run title @a subtitle {"text":"by SimonDMCPlayer","color":"green"}
execute if entity @a[scores={waves=1100}] run summon firework_rocket 93 55 139 {LifeTime:20,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:0,Colors:[I;65314]}]}}}}
execute if entity @a[scores={waves=1100}] run summon firework_rocket 95 55 141 {LifeTime:20,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:0,Colors:[I;65314]}]}}}}
spawnpoint @a[tag=bossFight] 53 53 67 0
execute if block 91 54 134 minecraft:birch_pressure_plate[powered=true] run gamemode creative @a
execute if block 92 54 134 minecraft:birch_pressure_plate[powered=true] run gamemode creative @a
execute if block 93 54 134 minecraft:birch_pressure_plate[powered=true] run gamemode creative @a
execute if block 94 54 134 minecraft:birch_pressure_plate[powered=true] run gamemode creative @a
execute if block 95 54 134 minecraft:birch_pressure_plate[powered=true] run gamemode creative @a
execute if block 96 54 134 minecraft:birch_pressure_plate[powered=true] run gamemode creative @a
execute if block 97 54 134 minecraft:birch_pressure_plate[powered=true] run gamemode creative @a
execute if block 98 54 134 minecraft:birch_pressure_plate[powered=true] run gamemode creative @a
execute if block 99 54 134 minecraft:birch_pressure_plate[powered=true] run gamemode creative @a
execute if block 100 54 134 minecraft:birch_pressure_plate[powered=true] run gamemode creative @a
execute if block 100 54 135 minecraft:birch_pressure_plate[powered=true] run gamemode creative @a
execute if block 100 54 136 minecraft:birch_pressure_plate[powered=true] run gamemode creative @a
execute if block 100 54 137 minecraft:birch_pressure_plate[powered=true] run gamemode creative @a
execute if block 100 54 138 minecraft:birch_pressure_plate[powered=true] run gamemode creative @a
execute if block 100 54 139 minecraft:birch_pressure_plate[powered=true] run gamemode creative @a
execute if block 100 54 140 minecraft:birch_pressure_plate[powered=true] run gamemode creative @a
execute if block 100 54 141 minecraft:birch_pressure_plate[powered=true] run gamemode creative @a
execute if block 100 54 142 minecraft:birch_pressure_plate[powered=true] run gamemode creative @a
execute if block 100 54 143 minecraft:birch_pressure_plate[powered=true] run gamemode creative @a